-- G E N E R A L   I N F O

-- Subject: LUA language script for a Blitzkrieg game
-- Mission type: single player
-- Mission designation: "Hellsroad II"
-- Created: JULY'2005
-- Author: Tronis

-- MISSION OBJECTIVES
--------------------------
function Reveal_Obj_0()
	ObjectiveChanged(0,0);
	RunScript("Obj0_Done",10000);
	RunScript("Obj0_Failled",240000,1);
	Suicide();
end;
function Reveal_Obj_1()
	ObjectiveChanged(1,0);
	RunScript("Obj1_Done",10000);
	Suicide();
end;
function Reveal_Obj_2()
	ObjectiveChanged(2,0);
	Suicide();
end;
function Reveal_Obj_3()
	ObjectiveChanged(3,0);
	RunScript("Obj3_Done",10000);
	Suicide();
end;
function Reveal_Obj_4()
	ObjectiveChanged(4,0);
	RunScript("Obj4_Done",18000);
	Suicide();
end;
function Reveal_Obj_5()
	ObjectiveChanged(5,0);
	SetIGlobalVar("BridgeVilTaken",0);
	SetIGlobalVar("BridgeTaken",0);
	RunScript("BridgeVillage",20000);
	RunScript("Bridge",23000);
	RunScript("Obj5_Done",26000);
	Suicide();
end;

-- WIN AND LOOSE CONDITIONS
--------------------------
function ObjectiveVars()
	SetIGlobalVar("Obj_0",0);
	SetIGlobalVar("Obj_1",0);
	SetIGlobalVar("Obj_2",0);
	SetIGlobalVar("Obj_3",0);
	SetIGlobalVar("Obj_4",0);
	SetIGlobalVar("Obj_5",0);
      Suicide();
end;

-- :: Win
function ToWin()
	if ((GetIGlobalVar("Obj_1",0) * GetIGlobalVar("Obj_2",0)
	* GetIGlobalVar("Obj_3",0) * GetIGlobalVar("Obj_4",0)
	* GetIGlobalVar("Obj_5",0) ) == 1) then Win(0);
	Suicide();
	end;
end;

-- :: Loose
-- Loose by unfulfilment of instructions
function DisciplineLoose()
	Loose();
	Suicide();
end;
-- Loose by exceding time limit (3 hours)
function ToLoose()
	DisplayTrace("TIME OVER!! Never forget the clock! Soldier...");
	Loose();
	Suicide();
end;
-- Max time to Win = 3 hours (10.800.000)
-- Warnings:
-- 	One Hour left! (7.200.000)
-- 	15 Minutes left! (9.000.000)
-- 	5 Minutes left! (10.500.000)
function LooseWarning60()
	DisplayTrace("WARNING: One hour left to complete the mission!!");
	Suicide();
end;
function LooseWarning15()
	DisplayTrace("WARNING: 15 Minutes left to complete the mission!!");
	Suicide();
end;
function LooseWarning05()
	DisplayTrace("WARNING: 5 Minutes left to complete the mission!!");
	Suicide();
end;

-- MISSION PROGRESS
--------------------------
-- Part I :: Clear the mines from the road
-- : MISSION Objective 0

function Obj0_Done()
	if (GetNMinesInScriptArea("minefield") == 0) then
	DisplayTrace("Mine field cleared!!");
	ObjectiveChanged(0,1);
	SetIGlobalVar("Obj_0",1);
	RunScript("AttackBase",180000);
	Suicide();
	end;
end;
function Obj0_Failled()
	if (GetNMinesInScriptArea("minefield") > 0) then
	DisplayTrace("The time for clearing the mine field is off!!");
	ObjectiveChanged(0,2);
	KillScript("Obj0_Done");
	RunScript("AttackBase",240000);
	Suicide();
	end;
end;

--------------------------
-- Part II :: Recon and support to village Alpha31
-- : MISSION Objective 1

function Deceive()
	if (GetNUnitsInArea(0,"nearvillage1") >= 1) then
	DisplayTrace("Comrades!! We're glad to see you!! Be wellcome!!");
	Cmd(0,1002,3778,4704);
	RunScript("Attack",8000);
	Suicide();
	end;
end;
function Attack()
	if(GetNScriptUnitsInArea(1002,"deceive") >= 1) then
	ChangePlayer(1002,0);
	RunScript("Attack1010",10000);
	Suicide();
	end;
end;
function Attack1010()
	LandReinforcement(1005);
	RunScript("Attack1010a",6000);
	RunScript("AttackBase",300000);
Suicide();
end;
function Attack1010a()
	Cmd(3,1010,2178,4808);
	Cmd(3,1011,3374,4166);
	Cmd(0,1012,3294,5662);
	QCmd(3,1012,3975,4519);
	Cmd(3,1013,3634,3894);
	Cmd(3,1014,2997,3677);
	QCmd(3,1014,1552,4307);
	RunScript("ChangePlatoon",3000);
	Suicide();
end;
function ChangePlatoon()	
	if(GetNScriptUnitsInArea(1012,"deceive") >= 1) then
	ChangePlayer(1001,1);
	ChangePlayer(1002,1);
	DisplayTrace("It's a trap!! The enemy has taken the village");
	Suicide();
	end;
end;
function Repair()	
	if(GetNScriptUnitsInArea(2011,"repair") >= 1) or (GetNScriptUnitsInArea(3011,"repair") >= 1)
	then
	DisplayTrace("GOOD NEWS: These units are now repaired!!");
	ChangePlayer(2013,0);
	RunScript("Repl_TF2013",10000);
	Suicide();
	end;
end;
function Obj1_Done()
	if (GetNUnitsInArea(0,"village1") > 3) and (GetNUnitsInArea(1,"village1") <= 0) then
	DisplayTrace("Village Alpha 31 under controle!!");
	DisplayTrace("... bring the Support Vehicle to repair these abandoned units near the Field Warehouse!!");
	ObjectiveChanged(1,1);
	SetIGlobalVar("Obj_1",1);
	RunScript("CounterAttacks",30000);
	RunScript("Repair",20000);
	RunScript("Obj2_Failled",20000);
	Suicide();
	end;
end;

--------------------------
-- Part III :: Hold Alpha31 till reinforcements arrival
-- : MISSION Objective 2

function Obj2_Done()
	LandReinforcement("2012");
	RunScript("Repl_TF2012",20000);
	DisplayTrace("New task force is coming!!");
	ObjectiveChanged(2,1);
	SetIGlobalVar("Obj_2",1);
	Suicide();
end;
function Obj2_Failled()
	if (GetNUnitsInArea(0,"village1") < 3) and (GetNUnitsInArea(1,"village1") > 4) then
	DisplayTrace("You lost the control of the village...");
	ObjectiveChanged(2,2);
	KillScript("Obj2_Done");
	Suicide();
	end;
end;
function CounterAttacks()
	RunScript("InfAttack01",300000);
	RunScript("InfAttack02",600000);
	RunScript("ArmAttack01",700000);
	RunScript("AssaultAlpha31",1000000);
	Suicide();
end;

-- Enemy Infantry Explore Attack Left Flank
function InfAttack01()
	LandReinforcement("1017");
	RunScript("InfMove01",10000);
	Suicide();
end;
function InfMove01()
	Cmd(3,1017,3738,6706);
	Suicide();
end;
-- Enemy Infantry Explore Attack Right Flank
function InfAttack02()
	LandReinforcement("1018");
	RunScript("InfMove02",10000);
	Suicide();
end;
function InfMove02()
	Cmd(3,1018,4787,9447);
	QCmd(3,1018,5197,6333);
	QCmd(3,1018,2831,6475);
	Suicide();
end;
-- Enemy Armour Assault
function ArmAttack01()
	LandReinforcement("1019");
	RunScript("ArmMove01",10000);
	Suicide();
end;
function ArmMove01()
	Cmd(3,1019,3738,6706);
	Suicide();
end;
-- Enemy Big Assault
function AssaultAlpha31()
	RunScript("ArmMove01",10000);
	RunScript("Obj2_Done",20000);
	LandReinforcement("1016");
	LandReinforcement("1017");
	LandReinforcement("1018");
	LandReinforcement("1019");
	RunScript("Assault_Inf1017",120000);
	RunScript("Assault_Tank1016",220000);
	RunScript("Assault_Inf1018",120000);
	RunScript("Assault_Tank1019",200000);
	Suicide();
end;
function Assault_Inf1017()
	 Cmd(3,1017,966,7926);
	QCmd(3,1017,1896,7211);
	QCmd(3,1017,4338,6242);
	Suicide();
end;
function Assault_Tank1016()
	 Cmd(3,1016,3434,6002);
	LandReinforcement("1017");
	LandReinforcement("1018");
	LandReinforcement("1020");
	LandReinforcement("1021");
	LandReinforcement("1022");
	LandReinforcement("1023");
	RunScript("Assault_Phase2",20000);
	Suicide();
end;
function Assault_Inf1018()
	 Cmd(3,1018,3977,9289);
	QCmd(3,1018,3078,5990);
	Suicide();
end;
function Assault_Tank1019()
	 Cmd(3,1019,3801,6761);
	Suicide();
end;
function Assault_Phase2()
--	LandReinforcement("1020");
--	LandReinforcement("1021");
--	LandReinforcement("1022");
--	LandReinforcement("1023");
	RunScript("AttackBase",300000);
	 Cmd(3,1016,1967,1219);
	 Cmd(3,1017,1967,1219);
	 Cmd(3,1018,1094,710);
	 Cmd(3,1019,1967,1219);
	Suicide();
end;
--------------------------
-- Part IV :: Clear the Area till the Chappel
-- : MISSION Objective 3

function Obj3_Done()
	if (GetNUnitsInArea(0,"hill247top") > 1) and (GetNUnitsInArea(1,"hill247top") <= 1) then
	DisplayTrace("area free from enemy forces!");
	ObjectiveChanged(3,1);
	SetIGlobalVar("Obj_3",1);
	RunScript("AttackBase",300000);
	RunScript("Patrol_1050",17000);
	RunScript("Patrol_1051",25000);
	Suicide();
	end;
end;
--------------------------
-- Part V :: Assault Enemy Village
-- : MISSION Objective 4

function Obj4_Done()
	if (GetNUnitsInArea(0,"enemyvillage") > 3) and (GetNUnitsInArea(1,"enemyvillage") <= 1) then
	DisplayTrace("Enemy village taken!");
	ObjectiveChanged(4,1);
	SetIGlobalVar("Obj_4",1);
	RunScript("CounterAttack",300000);
	RunScript("Patrol_1052",25000);
	RunScript("Patrol_1053",25000);
	Suicide();
	end;
end;

function CounterAttack()
	RunScript("InfLandAll",6000);
--	RunScript("Armour1030",120000);
	RunScript("Armour1031",120000);
	RunScript("Armour1032",120000);
	Suicide();
end;
function InfLandAll()
	LandReinforcement(1033);
	LandReinforcement(1035);
	LandReinforcement(1034);
	RunScript("InfMove1033",10000);
	RunScript("InfMove1034",15000);
	RunScript("InfMove1035",20000);
	Suicide();
end;
--
function InfMove1033()
local SquadId = 1033
	ChangeFormation(SquadId,1);
	Cmd(3,SquadId,7156,5630);
	RunScript("InfMove1033B",60000);
	RunScript("Armour1030",6000);
	Suicide();
end;
function InfMove1034()
local SquadId = 1034
	ChangeFormation(SquadId,1);
	Cmd(3,SquadId,8824,5760);
	RunScript("InfMove1034B",60000);
	Suicide();
end;
function InfMove1035()
local SquadId = 1035
	ChangeFormation(SquadId,1);
	Cmd(3,SquadId,11576,6908);
	RunScript("InfMove1035B",60000);
	Suicide();
end;
--
function InfMove1033B()
local SquadId = 1033
	ChangeFormation(SquadId,2);
	Cmd(3,SquadId,8611,10082);
	Suicide();
end;
function InfMove1034B()
local SquadId = 1034
	ChangeFormation(SquadId,2);
	Cmd(3,SquadId,8774,9342);
	Suicide();
end;
function InfMove1035B()
local SquadId = 1035
	ChangeFormation(SquadId,2);
	Cmd(3,SquadId,8576,9360);
	Suicide();
end;
--
function Armour1030()
	LandReinforcement(1030);
	Suicide();
end;
function Armour1031()
	LandReinforcement(1031);
	RunScript("ArmourStrike",15000);
	Suicide();
end;
function Armour1032()
	LandReinforcement(1032);
	Suicide();
end;
--
function ArmourStrike()
	Cmd(3,1031,8399,8759);
	Cmd(3,1032,9729,9073);
	RunScript("AirPowerOk",50000);
	Suicide();
end;
function AirPowerOk()
	DisplayTrace("At last We can see the sun!! And the Air Force too!!...");
	KillScript("AviationOff");
	EnableAviation(0,-1);
	RunScript("ReinfAA",30000);
	Suicide();
end;

function ReinfAA()
	if ((GetNUnitsInScriptGroup(1034,1) + GetNUnitsInScriptGroup(1035,1)) <= 3)
	then
	LandReinforcement(1040);
	Suicide();
	end;
end;

--------------------------
-- Part VI :: Clear the Area, Capture the Bridge
-- : MISSION Objective 5

function BridgeVillage()
	if (GetNUnitsInArea(0,"bridgevillage") > 3) and (GetNUnitsInArea(1,"bridgevillage") <= 1) then
	DisplayTrace("Bridge village taken!");
     	SetIGlobalVar("BridgeVilTaken",1);
	Suicide();
	end;
end;
function Bridge()
	if (GetNUnitsInArea(0,"bridge") > 3) and (GetNUnitsInArea(1,"bridge") <= 1) then
	DisplayTrace("Bridge taken!");
     	SetIGlobalVar("BridgeTaken",1);
	RunScript("DisciplineCheck",20000,1);
	Suicide();
	end;
end;
function Obj5_Done()
	if (( GetIGlobalVar("BridgeVilTaken",0) * GetIGlobalVar("BridgeTaken",0)) == 1) then
	ObjectiveChanged(5,1);
	SetIGlobalVar("Obj_5",1);
	Suicide();
	end;
end;
function DisciplineCheck()
if ((	GetIGlobalVar("Obj_1",0) * 
	GetIGlobalVar("Obj_2",0) * 
	GetIGlobalVar("Obj_3",0) * 
	GetIGlobalVar("Obj_4",0)) < 1 ) then 
	DisplayTrace("Wrong decision taking the bridge first than other requested objectives");
	DisplayTrace("your sense of duty is poor and jeopardized the whole operation!!");
	DisplayTrace("your only success is COURT MARTIAL, soldier...");
	RunScript("DisciplineLoose",40000);
	Suicide();
	end;
end;

-- MISSION GAME SET
--------------------------
-- Weather, Aviation
function GameWeather()
	SwitchWeather(0);
	SwitchWeatherAutomatic(0);
	Suicide();
end;
function AviationOff()
	DisableAviation(0,-1);
	DisableAviation(1,-1);
	Suicide();
end;

-- Initial animations
function LandReinf2()
	LandReinforcement(2020);
	LandReinforcement(2021);
	LandReinforcement(2022);
	RunScript("TroopsOnMove",3000);
	Suicide();
end;
function TroopsOnMove()
	Cmd(0,2020,2859,1319);
	QCmd(0,2020,9541,2141);
	Cmd(0,2021,1542,1770);
	QCmd(0,2021,1909,1341);
	QCmd(0,2021,9541,2141);
	Cmd(0,2022,1542,1770);
	QCmd(0,2022,1909,1341);
	QCmd(0,2022,9541,2141);
	RunScript("ClearTroopsOnMove",60000)
	Suicide();
end;
function ClearTroopsOnMove()
	DeleteReinforcement(2020);
	DeleteReinforcement(2021);
	DeleteReinforcement(2022);
	Suicide();
end;

-- Self-Destroy Artillery
function SelfDestroy01()
	if(GetNUnitsInArea(0,"selfdestroy") >= 1) then
	DamageObject(1025,GetObjectHPs(1025));
	Suicide();
	end;
end;

-- Patrols
-- :: Patrols near enemy village after loosing Hill 247
function Patrol_1050()
local PatrolID = 1050;
local Point2 = {
{x = 6945, y = 8918}, 
{x = 6213, y = 9757}, 
{x = 6817, y = 10157}, 
{x = 7305, y = 9503}};
local i = GetIGlobalVar( "temp.Point2", 0) + 1;
	Cmd (3,PatrolID, Point2[i].x, Point2[i].y );
	if (i > 3) then
		i = 0;
	end;
	SetIGlobalVar( "temp.Point2", i);
end;
function Patrol_1051()
local PatrolID = 1051;
local Point2 = {
{x = 6405, y = 10785}, 
{x = 5674, y = 11278}, 
{x = 6065, y = 11764}, 
{x = 6519, y = 11408}};
local i = GetIGlobalVar( "temp.Point2", 0) + 1;
	Cmd (3,PatrolID, Point2[i].x, Point2[i].y );
	if (i > 3) then
		i = 0;
	end;
	SetIGlobalVar( "temp.Point2", i);
end;
-- :: Patrols near  bridge village after loosing north
function Patrol_1052()
local PatrolID = 1052;
local Point2 = {
{x = 8969, y = 4801}, 
{x = 8958, y = 5746}, 
{x = 10203, y = 5760}, 
{x = 10392, y = 4888}};
local i = GetIGlobalVar( "temp.Point2", 0) + 1;
	Cmd (3,PatrolID, Point2[i].x, Point2[i].y );
	if (i > 3) then
		i = 0;
	end;
	SetIGlobalVar( "temp.Point2", i);
end;
function Patrol_1053()
local PatrolID = 1053;
local Point2 = {
{x = 10431, y = 4779}, 
{x = 10427, y = 5663}, 
{x = 11442, y = 5669}, 
{x = 11398, y = 4690}};
local i = GetIGlobalVar( "temp.Point2", 0) + 1;
	Cmd (3,PatrolID, Point2[i].x, Point2[i].y );
	if (i > 3) then
		i = 0;
	end;
	SetIGlobalVar( "temp.Point2", i);
end;

-- Small attacks to OurBase 
--	RunScript("AttackBase",90000);
function AttackBase()
	LandReinforcement("1026");
	LandReinforcement("1027");
	RunScript("PlatoonGo",3000);
	Suicide();
end;
function PlatoonGo()
	ChangeFormation(1026,1);
	Cmd(3,1026,1069,685);
	RunScript("PlatoonSneak",5000);
	Suicide();
end;
function PlatoonSneak()
	if(GetNScriptUnitsInArea(1026,"bridgeok") > 0) then
	ChangeFormation(1026,2);
	RunScript("PanzerGo",5000);
	Suicide();
	end;
end;
function PanzerGo()
	if(GetNScriptUnitsInArea(1026,"bridgeok") > 0) then
	Cmd(39,1027,1026);
	Suicide();
	end;
end;
-- Replacement of K-18 Enemy LR Artillery
function ReplaceK18()
	if(GetNUnitsInArea(0,"destroyk18") >= 1) then
    	DamageObject(1028,GetObjectHPs(1028));
	LandReinforcement(1029);
	Suicide();
	end;
end;

-- Replacement of LOSSES
-- Replace Squads
function Repl_2001()
local Original = 2001;
local Replacement = 3001;
	if (GetNUnitsInScriptGroup(Original,0) < 6) then
	LandReinforcement(Replacement);
	RunScript("Repl_3001",60000);
	Suicide();
	end;
end;
function Repl_3001()
local Reinf = 3001;
	if (GetNUnitsInScriptGroup(Reinf,0) < 6) then
	LandReinforcement(Reinf);
	RunScript("Repl_3001",60000);
	Suicide();
	end;
end;
-- Replace Trucks
function Repl_2002()
local Original = 2002;
local Replacement = 3002;
	if (GetNUnitsInScriptGroup(Original,0) < 2) then
	LandReinforcement(Replacement);
	RunScript("Repl_3002",120000);
	Suicide();
	end;
end;
function Repl_3002()
local Reinf = 3002;
	if (GetNUnitsInScriptGroup(Reinf,0) < 2) then
	LandReinforcement(Reinf);
	RunScript("Repl_3002",120000);
	Suicide();
	end;
end;
-- Replace Recon
function Repl_2003()
local Original = 2003;
local Replacement = 3003;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3003",180000);
	Suicide();
	end;
end;
function Repl_3003()
local Reinf = 3003;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	LandReinforcement(Reinf);
	RunScript("Repl_3003",180000);
	Suicide();
	end;
end;
-- Replace Wolverine
function Repl_2004()
local Original = 2004;
local Replacement = 3004;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3004",300000);
	Suicide();
	end;
end;
function Repl_3004()
local Reinf = 3004;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	RunScript("Repl_3004",300000);
	LandReinforcement(Reinf);
	Suicide();
	end;
end;
-- Replace AA
function Repl_2005()
local Original = 2005;
local Replacement = 3005;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3005",240000);
	Suicide();
	end;
end;
function Repl_3005()
local Reinf = 3005;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	RunScript("Repl_3005",240000);
	LandReinforcement(Reinf);
	Suicide();
	end;
end;
-- Replace M3 Stuart
function Repl_2006()
local Original = 2006;
local Replacement = 3006;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3006",240000);
	Suicide();
	end;
end;
function Repl_3006()
local Reinf = 3006;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	RunScript("Repl_3006",240000);
	LandReinforcement(Reinf);
	Suicide();
	end;
end;
-- Replace M3 HalfTruck
function Repl_2007()
local Original = 2007;
local Replacement = 3007;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3007",120000);
	Suicide();
	end;
end;
function Repl_3007()
local Reinf = 3007;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	RunScript("Repl_3007",120000);
	LandReinforcement(Reinf);
	Suicide();
	end;
end;
-- Replace Sherman A
function Repl_2008()
local Original = 2008;
local Replacement = 3008;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3008",240000);
	Suicide();
	end;
end;
function Repl_3008()
local Reinf = 3008;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	LandReinforcement(Reinf);
	RunScript("Repl_3008",240000);
	Suicide();
	end;
end;
-- Replace Sherman B
function Repl_2009()
local Original = 2009;
local Replacement = 3009;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3009",180000);
	Suicide();
	end;
end;
function Repl_3009()
local Reinf = 3009;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	LandReinforcement(Reinf);
	RunScript("Repl_3009",180000);
	Suicide();
	end;
end;
-- Replace Sherman C
function Repl_2010()
local Original = 2010;
local Replacement = 3010;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3010",240000);
	Suicide();
	end;
end;
function Repl_3010()
local Reinf = 3010;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	LandReinforcement(Reinf);
	RunScript("Repl_3010",240000);
	Suicide();
	end;
end;
-- Replace Support Vehicle
function Repl_2011()
local Original = 2011;
local Replacement = 3011;
	if (GetNUnitsInScriptGroup(Original,0) < 1) then
	LandReinforcement(Replacement);
	RunScript("Repl_3011",120000);
	Suicide();
	end;
end;
function Repl_3011()
local Reinf = 3011;
	if (GetNUnitsInScriptGroup(Reinf,0) < 1) then
	LandReinforcement(Reinf);
	RunScript("Repl_3011",120000);
	Suicide();
	end;
end;
-- Replace Task Force 2012
function Repl_TF2012()
local Original = 2012;
local Replacement = 4012;
	if (GetNUnitsInScriptGroup(Original,0) <= 8) then
	LandReinforcement(Replacement);
	RunScript("Repl_TF4012",300000);
	Suicide();
	end;
end;
function Repl_TF4012()
local Reinf = 4012;
	if (GetNUnitsInScriptGroup(Reinf,0) < 8) then
	RunScript("Repl_TF4012",300000);
	LandReinforcement(Reinf);
	Suicide();
	end;
end;
-- Replace Alpha 31 Repaired units
function Repl_TF2013()
local Original = 2013;
local Replacement = 4013;
	if (GetNUnitsInScriptGroup(Original,0) <= 2) then
	LandReinforcement(Replacement);
	RunScript("Repl_TF4013",300000);
	Suicide();
	end;
end;
function Repl_TF4013()
local Reinf = 4013;
	if (GetNUnitsInScriptGroup(Reinf,0) <= 2) then
	RunScript("Repl_TF4013",300000);
	LandReinforcement(Reinf);
	Suicide();
	end;
end;

-- INITIALIZATION
-------------------
function Init()
	RunScript("Debug", 1000);
	RunScript("GameWeather",1000);
	RunScript("AviationOff",1000);
	RunScript("SelfDestroy01",10000);
	RunScript("ReplaceK18",20000);
	RunScript("Reveal_Obj_0",10000);
	RunScript("Reveal_Obj_1",15000);
	RunScript("Reveal_Obj_2",25000);
	RunScript("Reveal_Obj_3",35000);
	RunScript("Reveal_Obj_4",45000);
	RunScript("Reveal_Obj_5",55000);
	RunScript("ToWin",20000);
	RunScript("ToLoose",10800000);
	RunScript("LooseWarning60",7200000);
	RunScript("LooseWarning15",9000000);
	RunScript("LooseWarning05",10500000);
	RunScript("LandReinf2",10000);
	RunScript("Deceive",10000);
	RunScript("Repl_2001",120000);
	RunScript("Repl_2002",120000);
	RunScript("Repl_2003",180000);
	RunScript("Repl_2004",300000);
	RunScript("Repl_2005",240000);
	RunScript("Repl_2006",240000);
	RunScript("Repl_2007",120000);
	RunScript("Repl_2008",240000);
	RunScript("Repl_2009",180000);
	RunScript("Repl_2010",240000);
	RunScript("Repl_2011",120000);
end;
function Debug()
	DisplayTrace("One more Tronis mission! Designed to be fun...");
--	Password("Panzerklein");
--	God(0,1);
--	ChangeWarFog(1);
	Suicide();
end;
-- eof Script Tronis 2005 --